> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/mekansal-veri-erisimi-icin-cografi-uc-noktalar/wms-mekansal-veri-katmanlarinin-raster-goruntulerini-al/19.-uydu-goruntusu-10-renkli-gorsellestirme.md).

# 19. Uydu Görüntüsü: 10 renkli görselleştirme

Belirli senaryolarda, Kullanıcılar bitki örtüsü indeksleri için daha ayrıntılı bir renk şeması isteyebilir ve harita renderlaması üzerinde titiz kontrol arayabilirler. Bu ihtiyaca yönelik olarak, GeoPard API özellikle NDVI, GNDVI, EVI2, MCARI1 ve WDRVI indeksleri için kapsamlı özelleştirme imkânları sunar. Kullanıcılar, her biri belirli bitki örtüsü indeksi değerlerine bağlanan en fazla 10 renk kodu yapılandırabilir ve böylece tercihlerine uygun görselleştirmeler elde edebilirler.

{% hint style="info" %}
Aşağıda, semboller`[%3b  %3a  %23]` URL olarak kodlanmıştır `[;  :  #]`.
{% endhint %}

### NDVI: Varsayılan 10 Renk vs. Özel 10 Renk

![](https://4027984477-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2Fw515Qq5SismjUn3WOI4z%2Fimage.png?alt=media\&token=ea186b86-a3a2-4697-8d77-a82c452e1c56)   **VS**   ![](https://4027984477-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FHoYhw5fMcbWUGJi8btIM%2Fimage.png?alt=media\&token=cb63f7de-58ca-42de-acfd-b58bf04bafc5)

Temel olarak kırpılmış NDVI içeren GeoMap kullanılır. Sonra `LAYERS` adlı URL parametresi şu şekilde değiştirilmelidir `sentinel2_ndvi_and_field` şuna `sentinel2_ndvi_10_and_field`. Bu, 10 rengin desteklenmesini etkinleştirir.

GeoPard API'den alınan varsayılan URL şu şekilde görünür *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_ndvi\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

Etkinleştirilmiş 10 renkli olarak değiştirilmiş URL şudur *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_ndvi\_10\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

Etkinleştirilmiş 10 renk ve özel renklerle değiştirilmiş URL şudur *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=1024&**LAYERS=sentinel2\_ndvi\_10\_and\_field\&env=\<colors\_and\_values>**\&geopardApiKey=\<GeoPardApiKey>.*

Renk kodları üzerindeki tüm kontrol, env adlı URL parametresi aracılığıyla yapılır. Tam örnek `env=<colors_and_values>` şöyledir: `env=c1%3a%239e0142%3bv1%3a0.15%3bc2%3a%23d53e4f%3bv2%3a0.2%3bc3%3a%23f46d43%3bv3%3a0.3%3bc4%3a%23fdae61%3bv4%3a0.4%3bc5%3a%23fee08b%3bv5%3a0.5%3bc6%3a%23e6f598%3bv6%3a0.6%3bc7%3a%23abdda4%3bv7%3a0.7%3bc8%3a%2366c2a5%3bv8%3a0.8%3bc9%3a%233288bd%3bv9%3a0.9%3bc10%3a%235e4fa2%3bv10%3a0.95`. Burada `c1...c10` HEX renk kodlarını temsil eder, `v1...v10` - renk kodlarının NDVI değerlerine uygun eşleştirmesini gösterir.

### GNDVI: Varsayılan 10 Renk vs. Özel 10 Renk

![](https://4027984477-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FzFyeGBS8rxZE6mSfNh2D%2Fimage.png?alt=media\&token=5540fd61-3c13-41bb-afef-b06f365418f9)   **VS**   ![](https://4027984477-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2F7uyMN7HQNjTfWlHBrlvK%2Fimage.png?alt=media\&token=00ae829a-f912-418d-b7f1-53d81fadb8ec)

Temel olarak kırpılmış GNDVI içeren GeoMap kullanılır. Sonra `LAYERS` adlı URL parametresi şu şekilde değiştirilmelidir `sentinel2_gndvi_and_field` şuna `sentinel2_gndvi_10_and_field`. Bu, 10 rengin desteklenmesini etkinleştirir.

GeoPard API'den alınan varsayılan URL şu şekilde görünür *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_gndvi\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

Etkinleştirilmiş 10 renkli olarak değiştirilmiş URL şudur *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_gndvi\_10\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

Etkinleştirilmiş 10 renk ve özel renklerle değiştirilmiş URL şudur *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=1024&**LAYERS=sentinel2\_gndvi\_10\_and\_field\&env=\<colors\_and\_values>**\&geopardApiKey=\<GeoPardApiKey>.*

Renk kodları üzerindeki tüm kontrol, env adlı URL parametresi aracılığıyla yapılır. Tam örnek `env=<colors_and_values>` şöyledir: `env=c1%3a%239e0142%3bv1%3a0.2%3bc2%3a%23d53e4f%3bv2%3a0.25%3bc3%3a%23f46d43%3bv3%3a0.3%3bc4%3a%23fdae61%3bv4%3a0.34%3bc5%3a%23fee08b%3bv5%3a0.4%3bc6%3a%23e6f598%3bv6%3a0.45%3bc7%3a%23abdda4%3bv7%3a0.5%3bc8%3a%2366c2a5%3bv8%3a0.55%3bc9%3a%233288bd%3bv9%3a0.6%3bc10%3a%235e4fa2%3bv10%3a0.65`. Burada `c1...c10` HEX renk kodlarını temsil eder, `v1...v10` - renk kodlarının GNDVI değerlerine uygun eşleştirmesi.

### WDRVI: Varsayılan 10 Renk vs. Özel 10 Renk

![](https://4027984477-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FFtY6vwXupCbSwTH1j86s%2Fimage.png?alt=media\&token=2f885829-ab96-40c2-9c3d-004a8ae1d1c1)   **VS**   ![](https://4027984477-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FMRNOWB1qCAHNu36TTq6v%2Fimage.png?alt=media\&token=a6d29cc2-aa54-4f56-9901-01d795aa8ecb)

Temel olarak kırpılmış WDRVI içeren GeoMap kullanılır. Sonra `LAYERS` adlı URL parametresi şu şekilde değiştirilmelidir `sentinel2_wdrvi_and_field` şuna `sentinel2_wdrvi_10_and_field`. Bu, 10 rengin desteklenmesini etkinleştirir.

GeoPard API'den alınan varsayılan URL şu şekilde görünür *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_wdrvi\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

Etkinleştirilmiş 10 renkli olarak değiştirilmiş URL şudur *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_wdrvi\_10\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

Etkinleştirilmiş 10 renk ve özel renklerle değiştirilmiş URL şudur *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=1024&**LAYERS=sentinel2\_wdrvi\_10\_and\_field\&env=\<colors\_and\_values>**\&geopardApiKey=\<GeoPardApiKey>.*

Renk kodları üzerindeki tüm kontrol, env adlı URL parametresi aracılığıyla yapılır. Tam örnek `env=<colors_and_values>` şöyledir: `env=c1%3a%239e0142%3bv1%3a-0.3%3bc2%3a%23d53e4f%3bv2%3a-0.2%3bc3%3a%23f46d43%3bv3%3a-0.1%3bc4%3a%23fdae61%3bv4%3a0.0%3bc5%3a%23fee08b%3bv5%3a0.1%3bc6%3a%23e6f598%3bv6%3a0.15%3bc7%3a%23abdda4%3bv7%3a0.20%3bc8%3a%2366c2a5%3bv8%3a0.25%3bc9%3a%233288bd%3bv9%3a0.3%3bc10%3a%235e4fa2%3bv10%3a0.35`. Burada `c1...c10` HEX renk kodlarını temsil eder, `v1...v10` - renk kodlarının WDRVI değerlerine uygun eşleştirmesi.

### MCARI1: Varsayılan 10 Renk vs. Özel 10 Renk

![](https://4027984477-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2F96gFSlqIrZPL18g4bgP1%2Fimage.png?alt=media\&token=e27242a9-7d52-498a-8ccd-3080ecf76eb6)   **VS**   ![](https://4027984477-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FTV75lVzuEuJITsoMTEuk%2Fimage.png?alt=media\&token=38392221-47da-4059-a3bd-737a3631c852)

Temel olarak kırpılmış MCARI1 içeren GeoMap kullanılır. Sonra `LAYERS` adlı URL parametresi şu şekilde değiştirilmelidir `sentinel2_mcari1_and_field` şuna `sentinel2_mcari1_10_and_field`. Bu, 10 rengin desteklenmesini etkinleştirir.

GeoPard API'den alınan varsayılan URL şu şekilde görünür *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_mcari1\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

Etkinleştirilmiş 10 renkli olarak değiştirilmiş URL şudur *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_mcari1\_10\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

Etkinleştirilmiş 10 renk ve özel renklerle değiştirilmiş URL şudur *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=1024&**LAYERS=sentinel2\_mcari1\_10\_and\_field\&env=\<colors\_and\_values>**\&geopardApiKey=\<GeoPardApiKey>.*

Renk kodları üzerindeki tüm kontrol, env adlı URL parametresi aracılığıyla yapılır. Tam örnek `env=<colors_and_values>` şöyledir: `env=c1%3a%239e0142%3bv1%3a2000%3bc2%3a%23d53e4f%3bv2%3a3000%3bc3%3a%23f46d43%3bv3%3a3500%3bc4%3a%23fdae61%3bv4%3a4000%3bc5%3a%23fee08b%3bv5%3a4500%3bc6%3a%23e6f598%3bv6%3a5000%3bc7%3a%23abdda4%3bv7%3a5500%3bc8%3a%2366c2a5%3bv8%3a6000%3bc9%3a%233288bd%3bv9%3a6500%3bc10%3a%235e4fa2%3bv10%3a7000`. Burada `c1...c10` HEX renk kodlarını temsil eder, `v1...v10` - renk kodlarının MCARI1 değerlerine uygun eşleştirmesi.

### EVI2: Varsayılan 10 Renk vs. Özel 10 Renk

![](https://4027984477-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FB2UuhaA13t0ExJPVHqbJ%2Fimage.png?alt=media\&token=b0271902-afcd-46f4-93a5-08c5462be675)   **VS**   ![](https://4027984477-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2Fbn0Vn6sJ4Zx31X5IYino%2Fimage.png?alt=media\&token=10ad0884-3f18-4b3f-b2c0-189b3726d991)

Temel olarak kırpılmış EVI2 içeren GeoMap kullanılır. Sonra `LAYERS` adlı URL parametresi şu şekilde değiştirilmelidir `sentinel2_evi2_and_field` şuna `sentinel2_evi2_10_and_field`. Bu, 10 rengin desteklenmesini etkinleştirir.

GeoPard API'den alınan varsayılan URL şu şekilde görünür *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_evi2\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

Etkinleştirilmiş 10 renkli olarak değiştirilmiş URL şudur *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=512&**LAYERS=sentinel2\_evi2\_10\_and\_field**\&geopardApiKey=\<GeoPardApiKey>*.

Etkinleştirilmiş 10 renk ve özel renklerle değiştirilmiş URL şudur *<https://api.geopard.tech/geo/map/reflect?TIME=2023-08-29T08%3A46%3A24.000Z\\&SRS=EPSG%3A900913\\&BBOX=\\>\<minX,minY,maxX,maxY>\&TRANSPARENT=true\&VIEWPARAMS=uuid%3A\<field\_uuid>\&HEIGHT=1024&**LAYERS=sentinel2\_evi2\_10\_and\_field\&env=\<colors\_and\_values>**\&geopardApiKey=\<GeoPardApiKey>.*

Renk kodları üzerindeki tüm kontrol, env adlı URL parametresi aracılığıyla yapılır. Tam örnek `env=<colors_and_values>` şöyledir: `env=c1%3a%239e0142%3bv1%3a0.5%3bc2%3a%23d53e4f%3bv2%3a0.7%3bc3%3a%23f46d43%3bv3%3a0.9%3bc4%3a%23fdae61%3bv4%3a1.1%3bc5%3a%23fee08b%3bv5%3a1.3%3bc6%3a%23e6f598%3bv6%3a1.5%3bc7%3a%23abdda4%3bv7%3a1.7%3bc8%3a%2366c2a5%3bv8%3a1.9%3bc9%3a%233288bd%3bv9%3a2.1%3bc10%3a%235e4fa2%3bv10%3a2.3`. Burada `c1...c10` HEX renk kodlarını temsil eder, `v1...v10` - renk kodlarının EVI2 değerlerine uygun eşleştirmesi.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/mekansal-veri-erisimi-icin-cografi-uc-noktalar/wms-mekansal-veri-katmanlarinin-raster-goruntulerini-al/19.-uydu-goruntusu-10-renkli-gorsellestirme.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
